@import "breakpoints";

.theme-wrapper {
  background-color: var(--ion-card-background);
  border-radius: 10px;
  padding: 0;

  .theme-card {
    .theme-header {
      position: relative;
      font-size: 18px;
      font-weight: 600;
      padding: 0 0 0 10px;

      .header-title {
        display: inline-block;
        padding: 7px 25px 0 0;
        vertical-align: top;
      }

      .close-button-wrapper {
        position: absolute;
        top: 0;
        right: 0;
      }
    }

    .theme-content {
      padding: 0 0 10px;
      overflow-x: auto;
      text-align: center;

      .logo-segment {
        padding: 10px 0 5px 10px;
        display: inline-block;
        height: 100%;
        cursor: pointer;
        -webkit-app-region: no-drag;

        .logo-img {
          display: inline-block;
          vertical-align: top;
          padding: 2px 5px;
        }

        .logo-name {
          display: inline-block;
          vertical-align: top;
          font-size: 32px;
          vertical-align: top;
          padding: 7px 25px 7px 10px;
          font-weight: 500;

          .logo-name-main {
            position: relative;
            display: inline-block;
            color: var(--ion-color-primary-contrast);
          }
        }
      }

      .version-segment {
        font-size: 12px;
        padding: 0 0 10px;
      }

      .authors-segment {
        padding: 5px 0 10px;

        .authors-label {
          color: var(--ion-color-medium);
        }

        .authors-names {
          display: inline-block;
          padding: 0 10px;
        }
      }

      .source-segment {
        padding: 5px 0 10px;

        .source-label {
          color: var(--ion-color-medium);
        }

        .source-link {
          cursor: pointer;
          color: var(--ion-color-primary);

          &:hover {
            text-decoration: underline;
            color: var(--ion-color-primary-tint);
          }

          &:active {
            color: var(--ion-color-primary-shade);
          }
        }
      }
    }
  }
}

@media (max-width: map-get($grid-breakpoints, "xxxl")) {
}
@media (max-width: map-get($grid-breakpoints, "xl")) {
}
@media (max-width: map-get($grid-breakpoints, "lg")) {
}
@media (max-width: map-get($grid-breakpoints, "md")) {
}
@media (max-width: map-get($grid-breakpoints, "sm")) {
}
@media (max-width: map-get($grid-breakpoints, "is")) {
}
@media (max-width: map-get($grid-breakpoints, "xs")) {
}
